** Compiler Personality for gcc 2.9x

* gcc include directories, obtained with 'gcc -c -v test.c'

* implicit macros, obtained with 'gcc -c -v test.c'

* for some installations of gcc these implicit macros may not be included in 'gcc -c -v test.c' output
-D__STDC__=1

* intrinsic types
-it "size_t=unsigned int"
-it "ptrdiff_t=int"
-it "wchar_t=unsigned short"

* compiler behaviour
-ar-
-bits-
-u+
-sl-
-na 31
-xn 31
-xc-
-fpc+

* parsing extensions
-ex longlong
-ex asm
-ex c++

* extension keywords
-D"__builtin_va_list=void *"
-D"__builtin_stdarg_start(ap, parmN)=((void)((ap)= &(parmN)))"
-D"__builtin_va_arg(ap, type)=(*(type*)(ap))"
-D"__builtin_va_end(ap)=((void)((ap)=0))"
-D"__builtin_va_copy(d,s)="
-D__attribute__=_munch_paren
-D__attribute=__attribute__
-D__asm__=asm
-D__volatile__=
-D__extension__=
-D__restrict=
-D__restrict__=
-Dinline=
-D__inline__=
-D__inline=
-D__const=const
-D__signed__=signed
-D__null=0
-D__g77_integer=int
-D__g77_uinteger=unsigned
-D__g77_longint=long
-D"__g77_ulongint=unsigned long"
-D"__PRETTY_FUNCTION__=_PRL_STRINGIFY(__PRETTY_FUNCTION__)"
-D"__FUNCTION__=_PRL_STRINGIFY(__FUNCTION__)"

* statement expressions
-D"__WAIT_INT(status)=(status)"
